---
title: PerformanceEntry.entryType
slug: Web/API/PerformanceEntry/entryType
tags:
  - API
  - Performance Timeline API
  - PerformanceEntry
  - Property
  - Reference
  - Web Performance
---
<div>{{APIRef("Performance Timeline API")}}</div>

<p><span class="seoSummary">The <strong><code>entryType</code></strong> property returns a {{domxref("DOMString")}} representing the type of performance metric such as, for example, "<code>mark</code>". This property is read only.</span></p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>type</em> = <em>entry</em>.entryType;</pre>

<h3 id="Return_Value">Return value</h3>

<p>The return value depends on the subtype of the <code>PerformanceEntry</code> object and affects the value of the {{domxref('PerformanceEntry.name')}} property as shown by the table below.</p>

<h3 id="Performance_entry_type_names">Performance entry type names</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Value</th>
   <th scope="col">Subtype</th>
   <th scope="col">Type of name property</th>
   <th scope="col">Description of name property</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>frame</code>, <code>navigation</code></td>
   <td>{{domxref('PerformanceFrameTiming')}}, {{domxref('PerformanceNavigationTiming')}}</td>
   <td>{{domxref("URL")}}</td>
   <td>The document's address.</td>
  </tr>
  <tr>
   <td><code>resource</code></td>
   <td>{{domxref('PerformanceResourceTiming')}}</td>
   <td>{{domxref("URL")}}</td>
   <td>The resolved URL of the requested resource. This value doesn't change even if the request is redirected.</td>
  </tr>
  <tr>
   <td><code>mark</code></td>
   <td>{{domxref('PerformanceMark')}}</td>
   <td>{{domxref("DOMString")}}</td>
   <td>The name used when the mark was created by calling {{domxref("Performance.mark","performance.mark()")}}.</td>
  </tr>
  <tr>
   <td><code>measure</code></td>
   <td>{{domxref('PerformanceMeasure')}}</td>
   <td>{{domxref("DOMString")}}</td>
   <td>name used when the measure was created by calling {{domxref("Performance.measure","performance.measure()")}}.</td>
  </tr>
  <tr>
   <td><code>paint</code></td>
   <td>{{domxref('PerformancePaintTiming')}}</td>
   <td>{{domxref("DOMString")}}</td>
   <td>
    <p>Either <code>'first-paint'</code> or <code>'first-contentful-paint'</code>.</p>
   </td>
  </tr>
  <tr>
   <td><code>longtask</code></td>
   <td>{{domxref('PerformanceLongTaskTiming')}}</td>
   <td>{{domxref("DOMString")}}</td>
   <td>reports instances of long tasks</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>The following example shows the use of the <code>entryType</code> property.</p>

<pre class="brush: js">function run_PerformanceEntry() {

  // check for feature support before continuing
  if (performance.mark === undefined) {
    console.log("performance.mark not supported");
    return;
  }

  // Create a performance entry named "begin" via the mark() method
  performance.mark("begin");

  // Check the entryType of all the "begin" entries
  var entriesNamedBegin = performance.getEntriesByName("begin");
	for (var i=0; i &lt; entriesNamedBegin.length; i++) {
      var typeOfEntry = entriesNamedBegin[i].entryType;
      console.log("Entry is type: " + typeOfEntry);
  }

}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Performance Timeline Level 2', '#dom-performanceentry-entrytype', 'entryType')}}</td>
   <td>{{Spec2('Performance Timeline Level 2')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('Performance Timeline', '#dom-performanceentry-entrytype', 'entryType')}}</td>
   <td>{{Spec2('Performance Timeline')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PerformanceEntry.entryType")}}</p>
</div>
